F = [];

[a] = audioread('cat_59.wav');
  % signal = struct('Filt_data', data, 'SampleRate', fs);
   stFeatures = stFeatureExtraction(a, 44100, 0.04, 0.02);
  
%    midFeatures = featureExtractionFile(curFileName, ...
%    stWin, stStep, mtWin, mtStep, listOfStatistics);
    % long-term averaging:
    longFeatures = mean(stFeatures,2);       
    
    F = [F longFeatures];